Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Class ReportParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.app.params.ReportParams

    public class ReportParams

extends Object

Defines parameters for reports on simulation results. Reporting parameters include the statistics to put in the report, confidence level as well as general options.

Java class for ReportParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ReportParams">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="properties" type="{http://www.iro.umontreal.ca/lecuyer/ssj}PropertiesParams" minOccurs="0"/>
             <element name="printedStat" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/app}PrintedStatParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="printedObs" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/app}PerformanceMeasureParams" maxOccurs="unbounded" minOccurs="0"/>
             <element name="shownContactTypeProperty" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/app}PropertyNameParam" maxOccurs="unbounded" minOccurs="0"/>
             <element name="shownAgentGroupProperty" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/app}PropertyNameParam" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="confidenceLevel" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}double01" />
           <attribute name="numDigits" type="{http://www.iro.umontreal.ca/lecuyer/ssj}positiveInt" default="3" />
           <attribute name="maxColumns" type="{http://www.iro.umontreal.ca/lecuyer/ssj}positiveInt" default="15" />
           <attribute name="summarySheetName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="detailedSheetNameWithoutPeriods" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="detailedSheetNameWithPeriods" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="obsSheetName" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="defaultDetailed" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="defaultPeriods" type="{http://www.w3.org/2001/XMLSchema}boolean" default="true" />
           <attribute name="defaultOnlyAverages" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected double` | `confidenceLevel`
`protected Boolean` | `defaultDetailed`
`protected Boolean` | `defaultOnlyAverages`
`protected Boolean` | `defaultPeriods`
`protected String` | `detailedSheetNameWithoutPeriods`
`protected String` | `detailedSheetNameWithPeriods`
`protected Integer` | `maxColumns`
`protected Integer` | `numDigits`
`protected String` | `obsSheetName`
`protected List<PerformanceMeasureParams>` | `printedObs`
`protected List<PrintedStatParams>` | `printedStats`
`protected PropertiesParams` | `properties`
`protected List<PropertyNameParam>` | `shownAgentGroupProperties`
`protected List<PropertyNameParam>` | `shownContactTypeProperties`
`protected String` | `summarySheetName`

Constructor Summary
`ReportParams()`

Method Summary
`double` | `getConfidenceLevel()` Gets the value of the confidenceLevel property.
`String` | `getDetailedSheetNameWithoutPeriods()` Gets the value of the detailedSheetNameWithoutPeriods property.
`String` | `getDetailedSheetNameWithPeriods()` Gets the value of the detailedSheetNameWithPeriods property.
`int` | `getMaxColumns()` Gets the value of the maxColumns property.
`int` | `getNumDigits()` Gets the value of the numDigits property.
`String` | `getObsSheetName()` Gets the value of the obsSheetName property.
`List<PerformanceMeasureParams>` | `getPrintedObs()` Gets the value of the printedObs property.
`List<PrintedStatParams>` | `getPrintedStats()` Gets the value of the printedStats property.
`PropertiesParams` | `getProperties()` Gets the value of the properties property.
`List<PropertyNameParam>` | `getShownAgentGroupProperties()` Gets the value of the shownAgentGroupProperties property.
`List<PropertyNameParam>` | `getShownContactTypeProperties()` Gets the value of the shownContactTypeProperties property.
`String` | `getSummarySheetName()` Gets the value of the summarySheetName property.
`boolean` | `isDefaultDetailed()` Gets the value of the defaultDetailed property.
`boolean` | `isDefaultOnlyAverages()` Gets the value of the defaultOnlyAverages property.
`boolean` | `isDefaultPeriods()` Gets the value of the defaultPeriods property.
`boolean` | `isSetConfidenceLevel()`
`boolean` | `isSetDefaultDetailed()`
`boolean` | `isSetDefaultOnlyAverages()`
`boolean` | `isSetDefaultPeriods()`
`boolean` | `isSetDetailedSheetNameWithoutPeriods()`
`boolean` | `isSetDetailedSheetNameWithPeriods()`
`boolean` | `isSetMaxColumns()`
`boolean` | `isSetNumDigits()`
`boolean` | `isSetObsSheetName()`
`boolean` | `isSetPrintedObs()`
`boolean` | `isSetPrintedStats()`
`boolean` | `isSetProperties()`
`boolean` | `isSetShownAgentGroupProperties()`
`boolean` | `isSetShownContactTypeProperties()`
`boolean` | `isSetSummarySheetName()`
`void` | `setConfidenceLevel(double value)` Sets the value of the confidenceLevel property.
`void` | `setDefaultDetailed(boolean value)` Sets the value of the defaultDetailed property.
`void` | `setDefaultOnlyAverages(boolean value)` Sets the value of the defaultOnlyAverages property.
`void` | `setDefaultPeriods(boolean value)` Sets the value of the defaultPeriods property.
`void` | `setDetailedSheetNameWithoutPeriods(String value)` Sets the value of the detailedSheetNameWithoutPeriods property.
`void` | `setDetailedSheetNameWithPeriods(String value)` Sets the value of the detailedSheetNameWithPeriods property.
`void` | `setMaxColumns(int value)` Sets the value of the maxColumns property.
`void` | `setNumDigits(int value)` Sets the value of the numDigits property.
`void` | `setObsSheetName(String value)` Sets the value of the obsSheetName property.
`void` | `setProperties(PropertiesParams value)` Sets the value of the properties property.
`void` | `setSummarySheetName(String value)` Sets the value of the summarySheetName property.
`void` | `unsetDefaultDetailed()`
`void` | `unsetDefaultOnlyAverages()`
`void` | `unsetDefaultPeriods()`
`void` | `unsetMaxColumns()`
`void` | `unsetNumDigits()`
`void` | `unsetPrintedObs()`
`void` | `unsetPrintedStats()`
`void` | `unsetShownAgentGroupProperties()`
`void` | `unsetShownContactTypeProperties()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    protected PropertiesParams properties

### printedStats

    protected List<PrintedStatParams> printedStats

### printedObs

    protected List<PerformanceMeasureParams> printedObs

### shownContactTypeProperties

    protected List<PropertyNameParam> shownContactTypeProperties

### shownAgentGroupProperties

    protected List<PropertyNameParam> shownAgentGroupProperties

### confidenceLevel

    protected double confidenceLevel

### numDigits

    protected Integer numDigits

### maxColumns

    protected Integer maxColumns

### summarySheetName

    protected String summarySheetName

### detailedSheetNameWithoutPeriods

    protected String detailedSheetNameWithoutPeriods

### detailedSheetNameWithPeriods

    protected String detailedSheetNameWithPeriods

### obsSheetName

    protected String obsSheetName

### defaultDetailed

    protected Boolean defaultDetailed

### defaultPeriods

    protected Boolean defaultPeriods

### defaultOnlyAverages

    protected Boolean defaultOnlyAverages

Constructor Detail

### ReportParams

    public ReportParams()

Method Detail

### getProperties

    public PropertiesParams getProperties()

  Gets the value of the properties property.

  Returns:
    possible object is `PropertiesParams`

### setProperties

    public void setProperties(PropertiesParams value)

  Sets the value of the properties property.

  Parameters:
    `value` - allowed object is `PropertiesParams`

### isSetProperties

    public boolean isSetProperties()

### getPrintedStats

    public List<PrintedStatParams> getPrintedStats()

  Gets the value of the printedStats property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the printedStats property.

  For example, to add a new item, do as follows:

          getPrintedStats().add(newItem);

  Objects of the following type(s) are allowed in the list `PrintedStatParams`

### isSetPrintedStats

    public boolean isSetPrintedStats()

### unsetPrintedStats

    public void unsetPrintedStats()

### getPrintedObs

    public List<PerformanceMeasureParams> getPrintedObs()

  Gets the value of the printedObs property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the printedObs property.

  For example, to add a new item, do as follows:

          getPrintedObs().add(newItem);

  Objects of the following type(s) are allowed in the list `PerformanceMeasureParams`

### isSetPrintedObs

    public boolean isSetPrintedObs()

### unsetPrintedObs

    public void unsetPrintedObs()

### getShownContactTypeProperties

    public List<PropertyNameParam> getShownContactTypeProperties()

  Gets the value of the shownContactTypeProperties property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shownContactTypeProperties property.

  For example, to add a new item, do as follows:

          getShownContactTypeProperties().add(newItem);

  Objects of the following type(s) are allowed in the list `PropertyNameParam`

### isSetShownContactTypeProperties

    public boolean isSetShownContactTypeProperties()

### unsetShownContactTypeProperties

    public void unsetShownContactTypeProperties()

### getShownAgentGroupProperties

    public List<PropertyNameParam> getShownAgentGroupProperties()

  Gets the value of the shownAgentGroupProperties property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the shownAgentGroupProperties property.

  For example, to add a new item, do as follows:

          getShownAgentGroupProperties().add(newItem);

  Objects of the following type(s) are allowed in the list `PropertyNameParam`

### isSetShownAgentGroupProperties

    public boolean isSetShownAgentGroupProperties()

### unsetShownAgentGroupProperties

    public void unsetShownAgentGroupProperties()

### getConfidenceLevel

    public double getConfidenceLevel()

  Gets the value of the confidenceLevel property.

### setConfidenceLevel

    public void setConfidenceLevel(double value)

  Sets the value of the confidenceLevel property.

### isSetConfidenceLevel

    public boolean isSetConfidenceLevel()

### getNumDigits

    public int getNumDigits()

  Gets the value of the numDigits property.

  Returns:
    possible object is `Integer`

### setNumDigits

    public void setNumDigits(int value)

  Sets the value of the numDigits property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumDigits

    public boolean isSetNumDigits()

### unsetNumDigits

    public void unsetNumDigits()

### getMaxColumns

    public int getMaxColumns()

  Gets the value of the maxColumns property.

  Returns:
    possible object is `Integer`

### setMaxColumns

    public void setMaxColumns(int value)

  Sets the value of the maxColumns property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetMaxColumns

    public boolean isSetMaxColumns()

### unsetMaxColumns

    public void unsetMaxColumns()

### getSummarySheetName

    public String getSummarySheetName()

  Gets the value of the summarySheetName property.

  Returns:
    possible object is `String`

### setSummarySheetName

    public void setSummarySheetName(String value)

  Sets the value of the summarySheetName property.

  Parameters:
    `value` - allowed object is `String`

### isSetSummarySheetName

    public boolean isSetSummarySheetName()

### getDetailedSheetNameWithoutPeriods

    public String getDetailedSheetNameWithoutPeriods()

  Gets the value of the detailedSheetNameWithoutPeriods property.

  Returns:
    possible object is `String`

### setDetailedSheetNameWithoutPeriods

    public void setDetailedSheetNameWithoutPeriods(String value)

  Sets the value of the detailedSheetNameWithoutPeriods property.

  Parameters:
    `value` - allowed object is `String`

### isSetDetailedSheetNameWithoutPeriods

    public boolean isSetDetailedSheetNameWithoutPeriods()

### getDetailedSheetNameWithPeriods

    public String getDetailedSheetNameWithPeriods()

  Gets the value of the detailedSheetNameWithPeriods property.

  Returns:
    possible object is `String`

### setDetailedSheetNameWithPeriods

    public void setDetailedSheetNameWithPeriods(String value)

  Sets the value of the detailedSheetNameWithPeriods property.

  Parameters:
    `value` - allowed object is `String`

### isSetDetailedSheetNameWithPeriods

    public boolean isSetDetailedSheetNameWithPeriods()

### getObsSheetName

    public String getObsSheetName()

  Gets the value of the obsSheetName property.

  Returns:
    possible object is `String`

### setObsSheetName

    public void setObsSheetName(String value)

  Sets the value of the obsSheetName property.

  Parameters:
    `value` - allowed object is `String`

### isSetObsSheetName

    public boolean isSetObsSheetName()

### isDefaultDetailed

    public boolean isDefaultDetailed()

  Gets the value of the defaultDetailed property.

  Returns:
    possible object is `Boolean`

### setDefaultDetailed

    public void setDefaultDetailed(boolean value)

  Sets the value of the defaultDetailed property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetDefaultDetailed

    public boolean isSetDefaultDetailed()

### unsetDefaultDetailed

    public void unsetDefaultDetailed()

### isDefaultPeriods

    public boolean isDefaultPeriods()

  Gets the value of the defaultPeriods property.

  Returns:
    possible object is `Boolean`

### setDefaultPeriods

    public void setDefaultPeriods(boolean value)

  Sets the value of the defaultPeriods property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetDefaultPeriods

    public boolean isSetDefaultPeriods()

### unsetDefaultPeriods

    public void unsetDefaultPeriods()

### isDefaultOnlyAverages

    public boolean isDefaultOnlyAverages()

  Gets the value of the defaultOnlyAverages property.

  Returns:
    possible object is `Boolean`

### setDefaultOnlyAverages

    public void setDefaultOnlyAverages(boolean value)

  Sets the value of the defaultOnlyAverages property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetDefaultOnlyAverages

    public boolean isSetDefaultOnlyAverages()

### unsetDefaultOnlyAverages

    public void unsetDefaultOnlyAverages()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.